<template>
  <style>
    :host {
      --diagnostics-default-font-family: "Google Sans", Roboto, sans-serif;
      --diagnostics-header-font-family: Roboto, sans-serif;
      --diagnostics-data-point-font-family: Roboto, sans-serif;
      --diagnostics-overview-font-family: Roboto, sans-serif;
      --diagnostics-text-badge-font-family: Roboto, sans-serif;
      --diagnostics-routine-name-font-family: Roboto, sans-serif;

      --diagnostics-default-font-size: 14px;
      --diagnostics-header-font-size: 22px;
      --diagnostics-data-point-title-font-size: 13px;
      --diagnostics-data-point-subtitle-font-size: 13px;
      --diagnostics-overview-font-size: 13px;
      --diagnostics-chart-label-font-size: 15px;
      --diagnostics-chart-tick-font-size: 12px;
      --diagnostics-chart-legend-font-size: 12px;
      --diagnostics-text-badge-font-size: 11px;
      --diagnostics-routine-name-font-size: 13px;

      --diagnostics-default-font-weight: 500;
      --diagnostics-header-font-weight: 600;
      --diagnostics-data-point-title-font-weight: 400;
      --diagnostics-data-point-subtitle-font-weight: 450;
      --diagnostics-overview-font-weight: 400;

      --diagnostics-default-text-color: var(--google-grey-900);
      --diagnostics-header-text-color: var(--google-grey-900);
      --diagnostics-overview-text-color: var(--google-grey-900);
      --diagnostics-data-point-title-color: var(--google-grey-900);
      --diagnostics-data-point-subtitle-color: var(--google-grey-700);
      --diagnostics-routine-name-color: var(--google-grey-900);

      --diagnostics-default-font: {
          font-family: var(--diagnostics-default-font-family);
          font-size: var(--diagnostics-default-font-size);
          font-weight: var(--diagnostics-default-font-weight);
      };

      --diagnostics-header-font: {
          font-family: var(--diagnostics-header-font-family);
          font-size: var(--diagnostics-header-font-size);
          font-weight: var(--diagnostics-header-font-weight);
      }
      --diagnostics-data-point-title-font: {
          font-family: --diagnostics-data-point-font-family
          font-size: var(--diagnostics-data-point-title-font-size);
          font-weight: var(--diagnostics-data-point-title-font-weight);
      };
      --diagnostics-data-point-subtitle-font: {
          font-family: --diagnostics-data-point-font-family
          font-size: var(--diagnostics-data-point-subtitle-font-size);
          font-weight: var(--diagnostics-data-point-subtitle-font-weight);
      };
      --diagnostics-overview-font: {
          font-family: var(--diagnostics-overview-font-family);
          font-size: var(--diagnostics-overview-font-size);
          font-weight: var(--diagnostics-overview-font-weight);
      };
      --diagnostics-chart-title-font: {
          font-family: var(--diagnostics-default-font-family);
          font-size: var(--diagnostics-default-font-size);
      };
      --diagnostics-chart-label-font: {
          font-family: var(--diagnostics-default-font-family);
          font-size: var(--diagnostics-chart-label-font-size);
      };
      --diagnostics-chart-tick-font: {
          font-family: var(--diagnostics-header-font-family);
          font-size: var(--diagnostics-chart-tick-font-size);
      };
      --diagnostics-chart-legend-font: {
          font-family: var(--diagnostics-header-font-family);
          font-size: var(--diagnostics-chart-legend-font-size);
      };
      --diagnostics-text-badge-font: {
          font-family: var(--diagnostics-text-badge-font-family);
          font-size: var(--diagnostics-text-badge-font-size);
      };
      --diagnostics-routine-name-font: {
          font-family: var(--diagnostics-routine-name-font-family);
          font-size: var(--diagnostics-routine-name-font-size);
      };
    }
  </style>
</template>